{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>FunCovidInfo | Komentar</title>
<link rel="stylesheet" href="{% static 'forum/css/styles.css' %}">
{% endblock meta %}

{% block content %}
    <div class="container">
        <div class="atasbawah">
            <div class="subjudul">
                Hapus {% if diskusi %}Diskusi{% elif komen and not reply %}Komentar{% elif reply %}Balasan{% endif %} ini?
            </div>
            {% if diskusi %}
                <div class="atasbawah preview-edit-komen">
                    <div onclick="location.href='{% url 'forum:readPost' diskusi.pk %}';" {% for w in semuaWarna %}{% if w.user == diskusi.penulis %}{% if diskusi.kategori == 'umum' %}class="post umum"{% elif diskusi.kategori == 'info' %}class="post info"{% elif diskusi.kategori == 'hd' %}class="post hd"{% elif diskusi.kategori == 'hs' %}class="post hs"{% elif diskusi.kategori == 'th' %}class="post th"{% elif diskusi.kategori == 'tp' %}class="post tp"{% endif %}{% endif %}{% endfor %}>
                        <div class="kanankiri inside-post alignkanankiriatas">
                            <div class="profile-container">
                                <div class="profile" {% for w in semuaWarna %}{% if w.user == diskusi.penulis %}style="background-color: rgb({{ w.color1 }}, {{ w.color2 }}, {{ w.color3 }});"{% endif %}{% endfor %}>
                                    <div class="atasbawah center inisial">
                                        {{ diskusi.penulis.username|make_list|first|upper }}
                                    </div>
                                </div>
                            </div>
                            <div class="atasbawah alignatasbawahkiri snippet">
                                <div class="judulPost">
                                    {{ diskusi.judul|truncatechars:120 }} <br>
                                </div>
                                <span class="subJudulPost">
                                    <a href="{% url 'forum:forum2' diskusi.kategori %}" {% if diskusi.kategori == 'umum' %}class="blue"{% elif diskusi.kategori == 'info' %}class="red"{% elif diskusi.kategori == 'hd' %}class="yellow"{% elif diskusi.kategori == 'hs' %}class="purple"{% elif diskusi.kategori == 'th' %}class="green"{% elif diskusi.kategori == 'tp' %}class="black"{% endif %}>
                                        {% if diskusi.kategori == 'umum' %}(Diskusi Umum){% elif diskusi.kategori == 'info' %}(Informasi Covid-19){% elif diskusi.kategori == 'hd' %}(Hoax Destroyer){% elif diskusi.kategori == 'hs' %}(Hoax Spreader){% elif diskusi.kategori == 'th' %}(Test Hoax){% elif diskusi.kategori == 'tp' %}(Test Pengetahuan Covid-19){% endif %}
                                    </a> 
                                     oleh 
                                    <a href="{% url 'forum:profil' diskusi.penulis.username %}" class="edit"> {{ diskusi.penulis }} </a>
                                     pada {{ diskusi.tanggalPost|date:'d-M-Y H:i' }} WIB 
                                    {% if diskusi.penulis == request.user %} | 
                                        <a href="{% url 'forum:editPost' diskusi.pk %}" class="edit"> edit </a>
                                    {% endif %}
                                </span>
                                <div>
                                    {{ diskusi.isi|safe|truncatechars:220 }}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div>
                    <a href="{% url 'forum:deletePost' diskusi.pk %}" class="button1 bodyButton">Hapus Diskusi</a>
                </div>
            {% elif komen or reply %}
            <div class="one-komen-container preview-edit-komen">
                <div class="komen" {% if type == 'edit' and diskusi %}style="background:rgb(83, 144, 217, 0.2);"{% endif %}>
                    <div class="kanankiri inside-post-komen alignkanankiriatas">
                        <div class="profile-container-komen">
                            <div class="profile-komen" {% for w in semuaWarna %}{% if w.user == komen.penulis %}style="background-color: rgb({{ w.color1 }}, {{ w.color2 }}, {{ w.color3 }});"{% endif %}{% endfor %}>
                                <div class="atasbawah center inisial-komen">
                                    {{ komen.penulis|make_list|first|upper }}
                                </div>
                            </div>
                        </div>
                        <div class="atasbawah alignatasbawahkiri snippet-komen">
                            <div class="kanankiri headerKomen">
                                <div class="judulKomen">
                                    {{ komen.penulis }}
                                </div>
                                <span class="subJudulKomen">
                                    {{ komen.tanggalPost|date:'d M Y H:i' }} WIB
                                    {% if komen.penulis == request.user %} | 
                                        <a href="{% url 'forum:editComment' komen.pk %}" class="edit"> edit </a>
                                    {% endif %}
                                </span>
                            </div>
                            <div class="isiKomen">
                                {{ komen.isi|safe|linebreaks }}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="reply-container">
                {% if listTarget %}
                    {% for t in listTarget %}
                        <div class="reply" {% if t == listTarget|last %}style="background:rgb(83, 144, 217, 0.2);"{% endif %}>
                            <div class="kanankiri inside-post-komen alignkanankiriatas">
                                <div class="profile-container-komen">
                                    <div class="profile-komen" {% for w in semuaWarna %}{% if w.user == t.penulis %}style="background-color: rgb({{ w.color1 }}, {{ w.color2 }}, {{ w.color3 }});"{% endif %}{% endfor %}>
                                        <div class="atasbawah center inisial-komen">
                                            {{ t.penulis|make_list|first|upper }}
                                        </div>
                                    </div>
                                </div>
                                <div class="atasbawah alignatasbawahkiri snippet-komen">
                                    <div class="kanankiri headerKomen">
                                        <div class="judulKomen">
                                            {{ t.penulis }}
                                        </div>
                                        <span class="subJudulKomen">
                                            {{ t.tanggalPost|date:'d M Y H:i' }} WIB
                                            {% if t.penulis == request.user %} | 
                                                <a href="{% url 'forum:editReply' t.komen.pk t.pk %}" class="edit"> edit </a>
                                            {% endif %}
                                        </span>
                                    </div>
                                    <div class="isiKomen">
                                        {{ t.isi|safe|linebreaks }}
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                {% endif %}
                </div>
            {% endif %}
            </div>
            {% if listTarget %}
                <div>
                    <a href="{% url 'forum:deleteReply' reply.pk %}" class="button1 bodyButton">Hapus Balasan</a>
                </div>
            {% elif not listTarget and not diskusi %}
                <div>
                    <a href="{% url 'forum:deleteComment' komen.pk %}" class="button1 bodyButton">Hapus Komentar</a>
                </div>
            {% endif %}
        </div>
    </div>
{% endblock content %}